backend:
  name: git-gateway
  branch: main

# Esta parte configura dónde Decap CMS guarda los archivos subidos.
media_folder: "/img/public/" # Carpeta para las imágenes
public_folder: "/img/public" # Ruta pública para acceder a ellas

# Inicio de la definición de colecciones
collections:
  # --- Colección para 'articulos' (mapeada a 'blog' en Astro) ---
  - name: "articulos"
    label: "Artículos del Blog"
    folder: "src/content/articulos" # Carpeta donde se guardan los archivos Markdown/MDX
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}" # Formato del nombre del archivo
    fields:
      - { label: "Título", name: "title", widget: "string" }
      - { label: "Descripción", name: "description", widget: "string", hint: "Máximo 160 caracteres." }
      - { label: "Fecha de Publicación", name: "pubDate", widget: "datetime" }
      - { label: "Fecha de Actualización", name: "updatedDate", widget: "datetime", required: false }
      - { label: "Imagen de Portada", name: "heroImage", widget: "image", required: false }
      - { label: "Etiquetas", name: "tags", widget: "list", default: ['uncategorized'] }
      - { label: "Autor", name: "author", widget: "string", default: "ZentaRunning" }
      # Campo para el contenido principal del artículo (el body del Markdown)
      - { label: "Contenido", name: "body", widget: "markdown" }

  # --- Colección para 'eventos' ---
  - name: "eventos"
    label: "Eventos"
    folder: "src/content/eventos" # Carpeta donde se guardan los archivos Markdown/MDX
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Nombre del Evento", name: "nombreDelEvento", widget: "string" }
      - { label: "Fecha", name: "fecha", widget: "datetime" }
      - { label: "Ubicación", name: "ubicacion", widget: "string" }
      - { label: "Precio", name: "precio", widget: "string", default: "Gratis", hint: "Acepta números o texto como 'Gratis'." }
      - { label: "Recorrido (URL o Texto)", name: "recorrido", widget: "string", required: false }
      # Widget tipo Markdown para reglamentación (como pediste)
      - { label: "Reglamentación", name: "reglamentacion", widget: "markdown", required: false }
      # Widget tipo Markdown para descargo (como pediste)
      - { label: "Descargo de Responsabilidad", name: "descargo", widget: "markdown", required: false }
      - { label: "Finalizado", name: "finalizado", widget: "boolean", default: false }
      # Campo para el contenido principal del evento (si hubiera texto extra)
      - { label: "Detalles Adicionales", name: "body", widget: "markdown", required: false }